<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/lay_dialog_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="visible">

        <TextView
            android:id="@+id/dialog_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:paddingTop="10dp"
            android:text="时间"
            android:textColor="#000000"
            android:textSize="20sp"
            android:textStyle="bold" />


    </LinearLayout>

    <LinearLayout
        android:id="@+id/lay_dialog_msg"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <DatePicker
            android:id="@+id/datePicker"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:calendarViewShown="false"
            android:datePickerMode="spinner" />

        <TimePicker
            android:id="@+id/timePicker"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:timePickerMode="spinner" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingBottom="10dp">

        <LinearLayout
            android:id="@+id/lay_dialog_cancel"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                android:layout_width="0dp"
                android:layout_height="1px"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/dialog_cancel"
                style="@style/button"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="8"
                android:gravity="center"
                android:maxLines="1"
                android:padding="10px"
                android:text="取消"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:visibility="visible" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="1px"
                android:layout_weight="1" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/lay_dialog_commit"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                android:layout_width="0dp"
                android:layout_height="1px"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/dialog_commit"
                style="@style/button"
                android:layout_width="0dp"
                android:layout_height="35dp"
                android:layout_weight="8"
                android:gravity="center"
                android:maxLines="1"
                android:padding="10px"
                android:text="确定参加"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:visibility="visible" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="1px"
                android:layout_weight="1" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>